# Token

{% hint style="info" %}
Currently, the only federated identity provider supported is Chameleon Keycloak. To have your application added to the list of approved identity providers, please fill out the Google Form attached to this page.

Supported identity providers *must* speak OpenID Connect.
{% endhint %}

Once a Trovi Token is exchanged, it is used to authenticate to any Trovi endpoint by attaching it to the URL via the `access_token` parameter.

{% embed url="<https://forms.gle/7QkeqgmKKWwCwb6L9>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chameleoncloud.gitbook.io/trovi/api-reference/token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
